unit ShowIt;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TfrmDopefish = class(TForm)
    imgBurpfish: TImage;
    imgDopefish: TImage;
    imgMessage: TImage;
    Button1: TButton;
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  frmDopefish: TfrmDopefish;

implementation

{$R *.dfm}
{$R dopefish.res}  // Sound of the dopefish

uses
  MMSystem; // For the WAV output

procedure ShowDopefish;
{To learn about the dopefish, visit http://www.dopefish.com
}
var
  Res       : THandle; // Used to play the dopefish sound
  Reshandle : THandle;
begin
  try
    // Step one: show the dopefish
    imgDopefish.Visible := True;
    Application.ProcessMessages;
    Sleep(500); // Wait 1/2 second
    Res := FindResource(HInstance,'DOPEFISH','WAVE');
    // If the sound business works out, show it burping
    if Res <> 0 then
    begin
      imgBurpfish.Visible := True;
      imgDopefish.Visible := False;
      Application.ProcessMessages;
      Reshandle := LoadResource(HInstance, Res);
      if Reshandle <> 0 then
      begin
        sndPlaySound(LockResource(Reshandle), SND_SYNC or SND_MEMORY);
        Application.ProcessMessages;
        UnlockResource(Reshandle);
        FreeResource(Reshandle);
      end; // of if Reshandle
      imgDopefish.Visible := True;
      imgBurpfish.Visible := False;
      Application.ProcessMessages;
      Sleep(500);
      imgDopefish.Visible := False;
      Application.ProcessMessages;
    end; // of if Res found
    imgMessage.Visible := True; // Dopefish not dead
    Application.ProcessMessages;
    Sleep(500);
    imgMessage.Visible := False;
  except
    // Just in case...
    imgBurpfish.Visible := False;
    imgDopefish.Visible := False;
  end; // of try..except
end; // of ShowDopefish

end.
